local BattleLogic = require("battle.BattleLogic")

function CG_BATTLE_QUERY(human)
	BattleLogic.query(human)
end

function CG_BATTLE_HANG_GET(human)
	BattleLogic.hangGet(human)
end

function CG_BATTLE_NODE_SET(human, msg)
	BattleLogic.nodeSet(human, msg.battleID)
end

function CG_BATTLE_NODE_DETAIL_QUERY(human, msg)
	BattleLogic.nodeDetailQuery(human, msg.battleID)
end

function CG_BATTLE_HANG_FIGHT(human,msg)
	BattleLogic.hangFightQuery(human, msg.mapID)
end	

function CG_BATTLE_MOPUP_QUERY(human)
    BattleLogic.mopupQuery(human)
end

function CG_BATTLE_MOPUP_FIGHT(human)
    BattleLogic.mopupFight(human)
end

function CG_BATTLE_TONGGUAN_REWARD_GET(human,msg)
    BattleLogic.getTongGuanReward(human,msg.index)
end

function CG_BATTLE_SHARK_QUERY(human,msg)
    BattleLogic.battleSharkQuery(human,msg.battleID)
end

function CG_BATTLE_WORLD_MAP_ROLELIST_QUERY(human,msg)
    BattleLogic.worldMapRoleListQuery(human,msg.worldMapId)
end

function CG_BATTLE_HANG_QUERY(human)
    BattleLogic.onHookQuery(human)
end

function CG_BATTLE_NODE_QUERY(human,msg)
    BattleLogic.battleNodeQuery(human,msg.mapID)
end
function CG_BATTLE_WORLD_MAP_QUERY(human)
    BattleLogic.battleWorldMapQuery(human)
end

function CG_BATTLE_MAP_DROPITEMS_LIST(human)
    BattleLogic.sendMapDroItemsList(human)
end

function CG_BATTLE_MAP_DROPITEMS_DETAIL(human, msg)
    BattleLogic.sendMapDroItemsDetail(human, msg.mapID)
end

function CG_BATTLE_CHAPTER_REWARD(human, msg)
    BattleLogic.battleChapterReward(human, msg.mapID)
end